Skip to content

Create a new user

Request

Creates a new user with the provided attributes. Email is required and must be unique within the tenant.

Bodyapplication/json
userobjectrequired
POST
/rest/v2/users
curl -i -X POST \
  https://api.rhythms.ai/rest/v2/users \
  -H 'Content-Type: application/json' \
  -d '{
    "user": {
      "email": "string",
      "display_name": "string",
      "license_type": "standard",
      "status": "active",
      "manager_uuid": null,
      "profile_attributes": {
        "first_name": null,
        "last_name": null,
        "job_title": null,
        "timezone": null,
        "locale": "en",
        "about": null
      }
    }
  }'

Responses

Created

Headers
any
Body*/*
dataobjectrequired
Response
{
  "data": {
    "type": "string",
    "record": {
      "uuid": "string",
      "display_name": "string",
      "account_id": null,
      "status": "active",
      "manager_uuid": null,
      "path": null,
      "creator_uuid": null,
      "license_type": "string",
      "display_name_source": "manual",
      "avatar_url": null,
      "external_employee_id": null
    },
    "checks": null,
    "access_source": null
  }
}